<?php

$type = array
(
    1 => '现场直击',
    2 => '超模风采',
);

return array
(
    # 表名
    'name' => 'pic',
    # 显示给用户看的名称
    'lang' => '活动图片',
    'order' => 80,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'act_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '活动id',
            'default'   => '',
            'desc'      => '活动id',
            'match'     => 'is_numeric',
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'option'    => $type,
            'update'    => 'radio',
            'search'	=> 'select',
            'list'      => true,
            'edit'      => true,
        ),

        'pic'     => array
        (
            'type'      => 'varchar-255',
            'name'      => '图片-图片比例要求宽度不超过960px，高度不超过1200px',
            'default'   => '',
            'desc'      => '图片',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            'list'		=> 'Dever::load("content/lib/manage.showPic", {id})',
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前，相当于置顶',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            //'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
        ),
    ),
    
    # 管理功能
    'manage' => array
    (
        'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
    ),

    # request 请求接口定义
    'request' => array
    (
        
    ),
);
