<?php

$type = array
(
    1 => '现场直击',
    2 => '超模风采',
);

return array
(
    # 表名
    'name' => 'up',
    # 显示给用户看的名称
    'lang' => '上传活动图片',
    'order' => 80,
    'set' => array
    (
        'type' => $type,
    ),
    'menu'	=> false,
    'end' => array
    (
    	'insert' => 'content/lib/manage.upPic',
        'update' => 'content/lib/manage.upPic',
    ),

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'act_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '活动id',
            'default'   => '1',
            'desc'      => '活动id',
            'match'     => 'is_numeric',
            'value'		=> '1',
            'update'	=> 'hidden',
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'option'    => $type,
            'update'    => 'radio',
            'search'	=> 'select',
            'list'      => true,
            'edit'      => true,
        ),

        'pic'     => array
        (
            'type'      => 'text-255',
            'name'      => '图片-可以上传多张图片，图片比例要求宽度不超过960px，高度不超过1200px',
            'default'   => '',
            'desc'      => '图片',
            'match'     => 'option',
            'update'    => 'images',
            'key'       => '1',
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
        ),
    ),
    
    # 管理功能
    'manage' => array
    (
        'page_list' => 'baoming',
    ),

    # request 请求接口定义
    'request' => array
    (
        
    ),
);
